# Aller plus loin avec Qualigéo #

Qualigéo est une application Desktop mais peut aisément s'articuler avec d'autres solutions permettant l'exécution de contrôles à partir d’un simple navigateur. Cela permet de mettre à disposition des contrôles Qualigéo et de les automatiser. Les applications GTF de Veremes ou FME Server de Safe Software répondent à ces besoins.

## Qualigéo et GTF ##

Pour les utilisateurs souhaitant combiner Qualigéo et GTF, un gex est disponible. Le gex est un terme générique dans GTF, il correspond à un format d'échange et contient les ressources nécessaires à l'exécution d'un traitement FME. A chaque nouvelle version de Qualigéo, un nouveau gex est proposé prenant un compte les évolutions de la version. Il est donc recommandé d'utiliser un gex compatible avec votre version Qualigéo.

Une fois le gex importé, vous êtes en mesure d'exécuter un contrôle directement depuis GTF. Aucune manipulation n'est nécessaire dans l'interface de Qualigéo.

![](./Images/gtf.png)

Dans le formulaire, vous retrouvez les paramètres de l'interface Contrôle de Qualigéo. Vous avez également la possibilité d'exporter les données en erreur et/ou de générer des rapports.

L'automatisation et la mise à disposition sont à définir dans GTF avec les abonnements, les surveillances et la gestion des droits utilisateurs comme pour n'importe quel traitement FME publié sur GTF.

## Qualigéo et FME Server ##

Qualigéo repose sur l'utilisation de projets FME. Le plus important est celui qui réalise le contrôle des données, mais il y d'autres traitements pour la génération des rapports ou l'export des données en erreurs.

Les traitements dont vous avez besoin doivent être publiés sur FME Server. Vous devez effectuer cette opération depuis FME Server. En effet, les projets FME de Qualigéo étant protégés par un mot de passe, vous ne pouvez pas les éditer.

Lorsque les projets sont disponibles, libre à vous de les partager et d'automatiser leurs exécutions en utilisant les capacités de FME Server.

Un exemple d'utilisation du mode Automations de FME Server pour l'exécution de projets Qualigéo a été présenté lors de la web conférence  FME 2020. La vidéo est disponible sur notre site internet : https://www.veremes.com/conference-fme-2020.

![](./Images/automation.png)